import { DynamoDB } from 'aws-sdk';
import { v4 as uuid } from 'uuid';

const dynamoDb = new DynamoDB.DocumentClient();
const tableName = process.env.TABLE_NAME;

export const handler = async (event: any) => {
  const body = JSON.parse(event.body);

  const contact = {
    id: uuid(),
    name: body.name,
    phone: body.phone,
    email: body.email,
  };

  try {
    await dynamoDb
      .put({
        TableName: tableName!,
        Item: contact,
      })
      .promise();

    return {
      statusCode: 201,
      body: JSON.stringify(contact),
    };
  } catch (error) {
    console.error(error);
    return {
      statusCode: 500,
      body: JSON.stringify({ error: 'Could not create contact' }),
    };
  }
};
